Upstream information

CVE-2010-4476 at MITRE

Description

The Double.parseDouble method in Java Runtime Environment (JRE) in Oracle Java SE and Java for Business 6 Update 23 and earlier, 5.0 Update 27 and earlier, and 1.4.2_29 and earlier, as used in OpenJDK, Apache, JBossweb, and other products, allows remote attackers to cause a denial of service via a crafted string that triggers an infinite loop of estimations during conversion to a double-precision binary floating-point number, as demonstrated using 2.2250738585072012e-308.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 5
Vector AV:N/AC:L/Au:N/C:N/I:N/A:P
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact None
Integrity Impact None
Availability Impact Partial
SUSE Bugzilla entries: 663679 [RESOLVED / FIXED], 663953 [RESOLVED / FIXED], 669926 [RESOLVED / INVALID], 670304 [RESOLVED / FIXED], 671714 [RESOLVED / FIXED], 672449 [RESOLVED / FIXED], 673738 [RESOLVED / FIXED], 673798 [RESOLVED / FIXED], 679560 [ASSIGNED], 683761 [RESOLVED / FIXED], 683762 [RESOLVED / FIXED], 683763 [RESOLVED / FIXED], 690583 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Module for Legacy Software 12
  • java-1_6_0-ibm >= 1.6.0_sr16.1-5.9
  • java-1_6_0-ibm-fonts >= 1.6.0_sr16.1-5.9
  • java-1_6_0-ibm-jdbc >= 1.6.0_sr16.1-5.9
  • java-1_6_0-ibm-plugin >= 1.6.0_sr16.1-5.9
Patchnames:
SUSE Linux Enterprise Module for Legacy Software 12 GA java-1_6_0-ibm
SUSE Linux Enterprise Server 11 SP1
  • java-1_4_2-ibm >= 1.4.2_sr13.9-0.4.1
  • java-1_4_2-ibm-jdbc >= 1.4.2_sr13.12-0.2.1
  • java-1_4_2-ibm-plugin >= 1.4.2_sr13.12-0.2.1
  • java-1_6_0-ibm >= 1.6.0_sr9.1-1.5.1
  • java-1_6_0-ibm-alsa >= 1.6.0_sr10.1-0.3.1
  • java-1_6_0-ibm-fonts >= 1.6.0_sr9.1-1.5.1
  • java-1_6_0-ibm-jdbc >= 1.6.0_sr9.1-1.5.1
  • java-1_6_0-ibm-plugin >= 1.6.0_sr10.1-0.3.1
Patchnames:
slessp1-java-1_4_2-ibm
slessp1-java-1_6_0-ibm
SUSE Linux Enterprise Server 11 SP2
  • java-1_4_2-ibm >= 1.4.2_sr13.10-0.4.1
  • java-1_4_2-ibm-jdbc >= 1.4.2_sr13.10-0.4.1
  • java-1_4_2-ibm-plugin >= 1.4.2_sr13.10-0.4.1
  • java-1_6_0-ibm >= 1.6.0_sr9.3-0.4.1
  • java-1_6_0-ibm-alsa >= 1.6.0_sr9.3-0.4.1
  • java-1_6_0-ibm-fonts >= 1.6.0_sr9.3-0.4.1
  • java-1_6_0-ibm-jdbc >= 1.6.0_sr9.3-0.4.1
  • java-1_6_0-ibm-plugin >= 1.6.0_sr9.3-0.4.1
Patchnames:
SUSE Linux Enterprise Server 11 SP2 GA java-1_4_2-ibm
SUSE Linux Enterprise Server 11 SP2 GA java-1_6_0-ibm
SUSE Linux Enterprise Server 11 SP3
  • java-1_6_0-ibm >= 1.6.0_sr13.1-0.9.1
  • java-1_6_0-ibm-alsa >= 1.6.0_sr13.1-0.9.1
  • java-1_6_0-ibm-fonts >= 1.6.0_sr13.1-0.9.1
  • java-1_6_0-ibm-jdbc >= 1.6.0_sr13.1-0.9.1
  • java-1_6_0-ibm-plugin >= 1.6.0_sr13.1-0.9.1
Patchnames:
SUSE Linux Enterprise Server 11 SP3 GA java-1_6_0-ibm
SUSE Linux Enterprise Server for SAP Applications 11 SP1
  • java-1_4_2-ibm-sap >= 1.4.2_sr13.9-0.3.1
  • java-1_4_2-ibm-sap-devel >= 1.4.2_sr13.9-0.3.1
Patchnames:
slesapp1-java-1_4_2-ibm-sap
SUSE Linux Enterprise Server 10 SP3
  • java-1_6_0-ibm >= 1.6.0_sr9.1-1.5.1
  • java-1_6_0-ibm-alsa >= 1.6.0_sr9.1-1.5.1
  • java-1_6_0-ibm-devel >= 1.6.0_sr9.1-1.5.1
  • java-1_6_0-ibm-fonts >= 1.6.0_sr9.1-1.5.1
  • java-1_6_0-ibm-jdbc >= 1.6.0_sr9.1-1.5.1
  • java-1_6_0-ibm-plugin >= 1.6.0_sr9.1-1.5.1
sles10-sp3.x86
sles10-sp3.x86-64
sles10-sp3.ppc
sles10-sp3.s390x
ZYPP Patch Nr: 7369
SUSE Linux Enterprise Server 10 SP3
  • java-1_6_0-ibm >= 1.6.0_sr9.1-1.5.1
  • java-1_6_0-ibm-64bit >= 1.6.0_sr9.1-1.5.1
  • java-1_6_0-ibm-devel >= 1.6.0_sr9.1-1.5.1
  • java-1_6_0-ibm-fonts >= 1.6.0_sr9.1-1.5.1
  • java-1_6_0-ibm-jdbc >= 1.6.0_sr9.1-1.5.1
  • java-1_6_0-ibm-plugin >= 1.6.0_sr9.1-1.5.1
sles10-sp3.x86
sles10-sp3.x86-64
sles10-sp3.ppc
sles10-sp3.s390x
ZYPP Patch Nr: 7369
SUSE Linux Enterprise Server 10 SP3
  • java-1_6_0-ibm >= 1.6.0_sr9.1-1.5.1
  • java-1_6_0-ibm-32bit >= 1.6.0_sr9.1-1.5.1
  • java-1_6_0-ibm-devel >= 1.6.0_sr9.1-1.5.1
  • java-1_6_0-ibm-devel-32bit >= 1.6.0_sr9.1-1.5.1
  • java-1_6_0-ibm-fonts >= 1.6.0_sr9.1-1.5.1
  • java-1_6_0-ibm-jdbc >= 1.6.0_sr9.1-1.5.1
sles10-sp3.x86
sles10-sp3.x86-64
sles10-sp3.ppc
sles10-sp3.s390x
ZYPP Patch Nr: 7369
SUSE Linux Enterprise SDK 10 SP3
  • java-1_6_0-ibm >= 1.6.0_sr9.1-1.5.1
  • java-1_6_0-ibm-32bit >= 1.6.0_sr9.1-1.5.1
  • java-1_6_0-ibm-alsa-32bit >= 1.6.0_sr9.1-1.5.1
  • java-1_6_0-ibm-devel >= 1.6.0_sr9.1-1.5.1
  • java-1_6_0-ibm-devel-32bit >= 1.6.0_sr9.1-1.5.1
  • java-1_6_0-ibm-fonts >= 1.6.0_sr9.1-1.5.1
  • java-1_6_0-ibm-jdbc >= 1.6.0_sr9.1-1.5.1
  • java-1_6_0-ibm-plugin >= 1.6.0_sr9.1-1.5.1
  • java-1_6_0-ibm-plugin-32bit >= 1.6.0_sr9.1-1.5.1
sles10-sp3.x86
sles10-sp3.x86-64
sles10-sp3.ppc
sles10-sp3.s390x
ZYPP Patch Nr: 7369
Open Enterprise Server
  • IBMJava2-JRE >= 1.4.2_sr13.9-0.6
  • IBMJava2-SDK >= 1.4.2_sr13.9-0.6
core9.ppc
core9.x86-64
core9.ia64
sles9-nlpos.x86
core9.s390
core9.s390x
core9.x86
sles9-oes.x86
YOU Patch Nr: 12706
SUSE Linux Enterprise Software Development Kit 11 SP1
  • java-1_4_2-ibm >= 1.4.2_sr13.9-0.4.1
  • java-1_4_2-ibm-devel >= 1.4.2_sr13.9-0.4.1
sle11-sp1-sdk.s390x
sles11-sp1.x86
sle11-sp1-sdk.ppc
sle11-sp1-sdk.ia64
sles11-sp1.ppc
sle11-sp1-sdk.x86
sle11-sp1-sdk.x86-64
sles11-sp1-vmware.x86-64
sles11-sp1-vmware.x86
sles11-sp1.ia64
sles11-sp1.s390x
sles11-sp1.x86-64
SAT Patch Nr: 4481
SUSE Linux Enterprise Software Development Kit 11 SP1
  • java-1_4_2-ibm-devel >= 1.4.2_sr13.9-0.4.1
sle11-sp1-sdk.s390x
sles11-sp1.x86
sle11-sp1-sdk.ppc
sle11-sp1-sdk.ia64
sles11-sp1.ppc
sle11-sp1-sdk.x86
sle11-sp1-sdk.x86-64
sles11-sp1-vmware.x86-64
sles11-sp1-vmware.x86
sles11-sp1.ia64
sles11-sp1.s390x
sles11-sp1.x86-64
SAT Patch Nr: 4481
SUSE Linux Enterprise Server 11 SP1
SUSE Linux Enterprise Server 11 SP1 for VMware
  • java-1_4_2-ibm >= 1.4.2_sr13.9-0.4.1
  • java-1_4_2-ibm-jdbc >= 1.4.2_sr13.9-0.4.1
  • java-1_4_2-ibm-plugin >= 1.4.2_sr13.9-0.4.1
sle11-sp1-sdk.s390x
sles11-sp1.x86
sle11-sp1-sdk.ppc
sle11-sp1-sdk.ia64
sles11-sp1.ppc
sle11-sp1-sdk.x86
sle11-sp1-sdk.x86-64
sles11-sp1-vmware.x86-64
sles11-sp1-vmware.x86
sles11-sp1.ia64
sles11-sp1.s390x
sles11-sp1.x86-64
SAT Patch Nr: 4481
SUSE Linux Enterprise Server 11 SP1
SUSE Linux Enterprise Server 11 SP1 for VMware
  • java-1_4_2-ibm >= 1.4.2_sr13.9-0.4.1
sle11-sp1-sdk.s390x
sles11-sp1.x86
sle11-sp1-sdk.ppc
sle11-sp1-sdk.ia64
sles11-sp1.ppc
sle11-sp1-sdk.x86
sle11-sp1-sdk.x86-64
sles11-sp1-vmware.x86-64
sles11-sp1-vmware.x86
sles11-sp1.ia64
sles11-sp1.s390x
sles11-sp1.x86-64
SAT Patch Nr: 4481
SUSE Linux Enterprise Server 10 SP4 for x86
  • java-1_6_0-ibm >= 1.6.0_sr9.1-1.8.4
  • java-1_6_0-ibm-alsa >= 1.6.0_sr9.1-1.8.4
  • java-1_6_0-ibm-devel >= 1.6.0_sr9.1-1.8.4
  • java-1_6_0-ibm-fonts >= 1.6.0_sr9.1-1.8.4
  • java-1_6_0-ibm-jdbc >= 1.6.0_sr9.1-1.8.4
  • java-1_6_0-ibm-plugin >= 1.6.0_sr9.1-1.8.4
sles10-sp4.x86
sles10-sp4.x86-64
sles10-sp4.ppc
sles10-sp4.s390x
ZYPP Patch Nr: 7443
SUSE Linux Enterprise Server 10 SP4 for IBM POWER
  • java-1_6_0-ibm >= 1.6.0_sr9.1-1.8.4
  • java-1_6_0-ibm-64bit >= 1.6.0_sr9.1-1.8.4
  • java-1_6_0-ibm-devel >= 1.6.0_sr9.1-1.8.4
  • java-1_6_0-ibm-fonts >= 1.6.0_sr9.1-1.8.4
  • java-1_6_0-ibm-jdbc >= 1.6.0_sr9.1-1.8.4
  • java-1_6_0-ibm-plugin >= 1.6.0_sr9.1-1.8.4
sles10-sp4.x86
sles10-sp4.x86-64
sles10-sp4.ppc
sles10-sp4.s390x
ZYPP Patch Nr: 7443
SUSE Linux Enterprise Server 10 SP4 for IBM zSeries 64bit
  • java-1_6_0-ibm >= 1.6.0_sr9.1-1.8.4
  • java-1_6_0-ibm-32bit >= 1.6.0_sr9.1-1.8.4
  • java-1_6_0-ibm-devel >= 1.6.0_sr9.1-1.8.4
  • java-1_6_0-ibm-devel-32bit >= 1.6.0_sr9.1-1.8.4
  • java-1_6_0-ibm-fonts >= 1.6.0_sr9.1-1.8.4
  • java-1_6_0-ibm-jdbc >= 1.6.0_sr9.1-1.8.4
sles10-sp4.x86
sles10-sp4.x86-64
sles10-sp4.ppc
sles10-sp4.s390x
ZYPP Patch Nr: 7443
SUSE Linux Enterprise Server 10 SP4 for AMD64 and Intel EM64T
  • java-1_6_0-ibm >= 1.6.0_sr9.1-1.8.4
  • java-1_6_0-ibm-32bit >= 1.6.0_sr9.1-1.8.4
  • java-1_6_0-ibm-alsa-32bit >= 1.6.0_sr9.1-1.8.4
  • java-1_6_0-ibm-devel >= 1.6.0_sr9.1-1.8.4
  • java-1_6_0-ibm-devel-32bit >= 1.6.0_sr9.1-1.8.4
  • java-1_6_0-ibm-fonts >= 1.6.0_sr9.1-1.8.4
  • java-1_6_0-ibm-jdbc >= 1.6.0_sr9.1-1.8.4
  • java-1_6_0-ibm-plugin >= 1.6.0_sr9.1-1.8.4
  • java-1_6_0-ibm-plugin-32bit >= 1.6.0_sr9.1-1.8.4
sles10-sp4.x86
sles10-sp4.x86-64
sles10-sp4.ppc
sles10-sp4.s390x
ZYPP Patch Nr: 7443
SUSE Linux Enterprise Server 10 SP4 for x86
  • java-1_4_2-ibm >= 1.4.2_sr13.9-0.7.1
  • java-1_4_2-ibm-devel >= 1.4.2_sr13.9-0.7.1
  • java-1_4_2-ibm-jdbc >= 1.4.2_sr13.9-0.7.1
  • java-1_4_2-ibm-plugin >= 1.4.2_sr13.9-0.7.1
sles10-sp4.ppc
sles10-sp4.ia64
sles10-sp4.x86
sles10-sp4.s390x
sles10-sp4.x86-64
ZYPP Patch Nr: 7504
SUSE Linux Enterprise Server 10 SP4 for AMD64 and Intel EM64T
SUSE Linux Enterprise Server 10 SP4 for IBM zSeries 64bit
SUSE Linux Enterprise Server 10 SP4 for IPF
  • java-1_4_2-ibm >= 1.4.2_sr13.9-0.7.1
  • java-1_4_2-ibm-devel >= 1.4.2_sr13.9-0.7.1
sles10-sp4.ppc
sles10-sp4.ia64
sles10-sp4.x86
sles10-sp4.s390x
sles10-sp4.x86-64
ZYPP Patch Nr: 7504
SUSE Linux Enterprise Server 10 SP4 for IBM POWER
  • java-1_4_2-ibm >= 1.4.2_sr13.9-0.7.1
  • java-1_4_2-ibm-devel >= 1.4.2_sr13.9-0.7.1
  • java-1_4_2-ibm-jdbc >= 1.4.2_sr13.9-0.7.1
sles10-sp4.ppc
sles10-sp4.ia64
sles10-sp4.x86
sles10-sp4.s390x
sles10-sp4.x86-64
ZYPP Patch Nr: 7504
SUSE Linux Enterprise for SAP Applications 11 SP1
  • java-1_4_2-ibm-sap >= 1.4.2_sr13.9-0.3.1
  • java-1_4_2-ibm-sap-devel >= 1.4.2_sr13.9-0.3.1
sle11-sap-sp1.x86-64
SAT Patch Nr: 4856
SUSE Linux Enterprise Server 10 SP4 for x86
  • java-1_4_2-ibm >= 1.4.2_sr13.8-1.7.13
  • java-1_4_2-ibm-devel >= 1.4.2_sr13.8-1.7.13
  • java-1_4_2-ibm-jdbc >= 1.4.2_sr13.8-1.7.13
  • java-1_4_2-ibm-plugin >= 1.4.2_sr13.8-1.7.13
sles10-sp4.ia64
sles10-sp4.s390x
sles10-sp4.ppc
sles10-sp4.x86
sles10-sp4.x86-64
ZYPP Patch Nr: 7440
SUSE Linux Enterprise Server 10 SP4 for AMD64 and Intel EM64T
SUSE Linux Enterprise Server 10 SP4 for IBM zSeries 64bit
SUSE Linux Enterprise Server 10 SP4 for IPF
  • java-1_4_2-ibm >= 1.4.2_sr13.8-1.7.13
  • java-1_4_2-ibm-devel >= 1.4.2_sr13.8-1.7.13
sles10-sp4.ia64
sles10-sp4.s390x
sles10-sp4.ppc
sles10-sp4.x86
sles10-sp4.x86-64
ZYPP Patch Nr: 7440
SUSE Linux Enterprise Server 10 SP4 for IBM POWER
  • java-1_4_2-ibm >= 1.4.2_sr13.8-1.7.13
  • java-1_4_2-ibm-devel >= 1.4.2_sr13.8-1.7.13
  • java-1_4_2-ibm-jdbc >= 1.4.2_sr13.8-1.7.13
sles10-sp4.ia64
sles10-sp4.s390x
sles10-sp4.ppc
sles10-sp4.x86
sles10-sp4.x86-64
ZYPP Patch Nr: 7440
Open Enterprise Server
  • IBMJava2-JRE >= 1.4.2_sr13.8-0.15
  • IBMJava2-SDK >= 1.4.2_sr13.8-0.15
core9.s390x
core9.x86
sles9-nlpos.x86
core9.ppc
core9.x86-64
core9.s390
core9.ia64
sles9-oes.x86
YOU Patch Nr: 12682
SUSE Linux Enterprise Desktop 10 SP3 for x86
  • java-1_6_0-sun >= 1.6.0.u24-0.5.1
  • java-1_6_0-sun-alsa >= 1.6.0.u24-0.5.1
  • java-1_6_0-sun-demo >= 1.6.0.u24-0.5.1
  • java-1_6_0-sun-devel >= 1.6.0.u24-0.5.1
  • java-1_6_0-sun-jdbc >= 1.6.0.u24-0.5.1
  • java-1_6_0-sun-plugin >= 1.6.0.u24-0.5.1
  • java-1_6_0-sun-src >= 1.6.0.u24-0.5.1
sled10-sp3.x86
sled10-sp3.x86-64
ZYPP Patch Nr: 7342
SUSE Linux Enterprise Desktop 10 SP3 for AMD64 and Intel EM64T
  • java-1_6_0-sun >= 1.6.0.u24-0.5.1
  • java-1_6_0-sun-32bit >= 1.6.0.u24-0.5.1
  • java-1_6_0-sun-alsa >= 1.6.0.u24-0.5.1
  • java-1_6_0-sun-demo >= 1.6.0.u24-0.5.1
  • java-1_6_0-sun-devel >= 1.6.0.u24-0.5.1
  • java-1_6_0-sun-jdbc >= 1.6.0.u24-0.5.1
  • java-1_6_0-sun-plugin-32bit >= 1.6.0.u24-0.5.1
  • java-1_6_0-sun-src >= 1.6.0.u24-0.5.1
sled10-sp3.x86
sled10-sp3.x86-64
ZYPP Patch Nr: 7342
SUSE Linux Enterprise Software Development Kit 11 SP1
  • java-1_4_2-ibm >= 1.4.2_sr13.8-1.5.1
  • java-1_4_2-ibm-devel >= 1.4.2_sr13.8-1.5.1
sles11-sp1.s390x
sle11-sp1-sdk.s390x
sle11-sp1-sdk.x86
sle11-sp1-sdk.ia64
sles11-sp1.ppc
sles11-sp1.x86
sles11-sp1.ia64
sles11-sp1.x86-64
sles11-sp1-vmware.x86
sle11-sp1-sdk.x86-64
sles11-sp1-vmware.x86-64
sle11-sp1-sdk.ppc
SAT Patch Nr: 4024
SUSE Linux Enterprise Software Development Kit 11 SP1
  • java-1_4_2-ibm-devel >= 1.4.2_sr13.8-1.5.1
sles11-sp1.s390x
sle11-sp1-sdk.s390x
sle11-sp1-sdk.x86
sle11-sp1-sdk.ia64
sles11-sp1.ppc
sles11-sp1.x86
sles11-sp1.ia64
sles11-sp1.x86-64
sles11-sp1-vmware.x86
sle11-sp1-sdk.x86-64
sles11-sp1-vmware.x86-64
sle11-sp1-sdk.ppc
SAT Patch Nr: 4024
SUSE Linux Enterprise Server 11 SP1
SUSE Linux Enterprise Server 11 SP1 for VMware
  • java-1_4_2-ibm >= 1.4.2_sr13.8-1.5.1
  • java-1_4_2-ibm-jdbc >= 1.4.2_sr13.8-1.5.1
  • java-1_4_2-ibm-plugin >= 1.4.2_sr13.8-1.5.1
sles11-sp1.s390x
sle11-sp1-sdk.s390x
sle11-sp1-sdk.x86
sle11-sp1-sdk.ia64
sles11-sp1.ppc
sles11-sp1.x86
sles11-sp1.ia64
sles11-sp1.x86-64
sles11-sp1-vmware.x86
sle11-sp1-sdk.x86-64
sles11-sp1-vmware.x86-64
sle11-sp1-sdk.ppc
SAT Patch Nr: 4024
SUSE Linux Enterprise Server 11 SP1
SUSE Linux Enterprise Server 11 SP1 for VMware
  • java-1_4_2-ibm >= 1.4.2_sr13.8-1.5.1
sles11-sp1.s390x
sle11-sp1-sdk.s390x
sle11-sp1-sdk.x86
sle11-sp1-sdk.ia64
sles11-sp1.ppc
sles11-sp1.x86
sles11-sp1.ia64
sles11-sp1.x86-64
sles11-sp1-vmware.x86
sle11-sp1-sdk.x86-64
sles11-sp1-vmware.x86-64
sle11-sp1-sdk.ppc
SAT Patch Nr: 4024
Open Enterprise Server
  • IBMJava5-JRE >= 1.5.0_sr12.3-0.11
  • IBMJava5-SDK >= 1.5.0_sr12.3-0.11
core9.x86
core9.s390x
core9.ppc
core9.s390
sles9-oes.x86
sles9-nlpos.x86
core9.x86-64
YOU Patch Nr: 12683
SUSE Linux Enterprise Desktop 10 SP3 for x86
  • java-1_5_0-ibm >= 1.5.0_sr12.3-0.7.1
  • java-1_5_0-ibm-alsa >= 1.5.0_sr12.3-0.7.1
  • java-1_5_0-ibm-demo >= 1.5.0_sr12.3-0.7.1
  • java-1_5_0-ibm-devel >= 1.5.0_sr12.3-0.7.1
  • java-1_5_0-ibm-fonts >= 1.5.0_sr12.3-0.7.1
  • java-1_5_0-ibm-jdbc >= 1.5.0_sr12.3-0.7.1
  • java-1_5_0-ibm-plugin >= 1.5.0_sr12.3-0.7.1
  • java-1_5_0-ibm-src >= 1.5.0_sr12.3-0.7.1
sles10-sp3.x86
sles10-sp3.ppc
sles10-sp3.x86-64
sled10-sp3.x86-64
sled10-sp3.x86
sles10-sp3.s390x
ZYPP Patch Nr: 7350
SUSE Linux Enterprise Desktop 10 SP3 for AMD64 and Intel EM64T
  • java-1_5_0-ibm >= 1.5.0_sr12.3-0.7.1
  • java-1_5_0-ibm-32bit >= 1.5.0_sr12.3-0.7.1
  • java-1_5_0-ibm-alsa-32bit >= 1.5.0_sr12.3-0.7.1
  • java-1_5_0-ibm-demo >= 1.5.0_sr12.3-0.7.1
  • java-1_5_0-ibm-devel >= 1.5.0_sr12.3-0.7.1
  • java-1_5_0-ibm-devel-32bit >= 1.5.0_sr12.3-0.7.1
  • java-1_5_0-ibm-fonts >= 1.5.0_sr12.3-0.7.1
  • java-1_5_0-ibm-src >= 1.5.0_sr12.3-0.7.1
sles10-sp3.x86
sles10-sp3.ppc
sles10-sp3.x86-64
sled10-sp3.x86-64
sled10-sp3.x86
sles10-sp3.s390x
ZYPP Patch Nr: 7350
SUSE Linux Enterprise SDK 10 SP3
SUSE Linux Enterprise Server for SAP 10 SP3
  • java-1_5_0-ibm >= 1.5.0_sr12.3-0.7.1
  • java-1_5_0-ibm-32bit >= 1.5.0_sr12.3-0.7.1
  • java-1_5_0-ibm-alsa-32bit >= 1.5.0_sr12.3-0.7.1
  • java-1_5_0-ibm-devel >= 1.5.0_sr12.3-0.7.1
  • java-1_5_0-ibm-devel-32bit >= 1.5.0_sr12.3-0.7.1
  • java-1_5_0-ibm-fonts >= 1.5.0_sr12.3-0.7.1
sles10-sp3.x86
sles10-sp3.ppc
sles10-sp3.x86-64
sled10-sp3.x86-64
sled10-sp3.x86
sles10-sp3.s390x
ZYPP Patch Nr: 7350
SUSE Linux Enterprise Server 10 SP3
  • java-1_5_0-ibm >= 1.5.0_sr12.3-0.7.1
  • java-1_5_0-ibm-alsa >= 1.5.0_sr12.3-0.7.1
  • java-1_5_0-ibm-devel >= 1.5.0_sr12.3-0.7.1
  • java-1_5_0-ibm-fonts >= 1.5.0_sr12.3-0.7.1
  • java-1_5_0-ibm-jdbc >= 1.5.0_sr12.3-0.7.1
  • java-1_5_0-ibm-plugin >= 1.5.0_sr12.3-0.7.1
sles10-sp3.x86
sles10-sp3.ppc
sles10-sp3.x86-64
sled10-sp3.x86-64
sled10-sp3.x86
sles10-sp3.s390x
ZYPP Patch Nr: 7350
SUSE Linux Enterprise Server 10 SP3
  • java-1_5_0-ibm >= 1.5.0_sr12.3-0.7.1
  • java-1_5_0-ibm-64bit >= 1.5.0_sr12.3-0.7.1
  • java-1_5_0-ibm-devel >= 1.5.0_sr12.3-0.7.1
  • java-1_5_0-ibm-fonts >= 1.5.0_sr12.3-0.7.1
  • java-1_5_0-ibm-jdbc >= 1.5.0_sr12.3-0.7.1
  • java-1_5_0-ibm-plugin >= 1.5.0_sr12.3-0.7.1
sles10-sp3.x86
sles10-sp3.ppc
sles10-sp3.x86-64
sled10-sp3.x86-64
sled10-sp3.x86
sles10-sp3.s390x
ZYPP Patch Nr: 7350
SUSE Linux Enterprise Server 10 SP3
  • java-1_5_0-ibm >= 1.5.0_sr12.3-0.7.1
  • java-1_5_0-ibm-32bit >= 1.5.0_sr12.3-0.7.1
  • java-1_5_0-ibm-devel >= 1.5.0_sr12.3-0.7.1
  • java-1_5_0-ibm-devel-32bit >= 1.5.0_sr12.3-0.7.1
  • java-1_5_0-ibm-fonts >= 1.5.0_sr12.3-0.7.1
sles10-sp3.x86
sles10-sp3.ppc
sles10-sp3.x86-64
sled10-sp3.x86-64
sled10-sp3.x86
sles10-sp3.s390x
ZYPP Patch Nr: 7350
openSUSE 11.4
  • java-1_6_0-sun >= 1.6.0.u24-1.2.1
  • java-1_6_0-sun-alsa >= 1.6.0.u24-1.2.1
  • java-1_6_0-sun-demo >= 1.6.0.u24-1.2.1
  • java-1_6_0-sun-devel >= 1.6.0.u24-1.2.1
  • java-1_6_0-sun-jdbc >= 1.6.0.u24-1.2.1
  • java-1_6_0-sun-plugin >= 1.6.0.u24-1.2.1
  • java-1_6_0-sun-src >= 1.6.0.u24-1.2.1
SUSE Linux Enterprise SDK 10 SP3
SUSE Linux Enterprise Server 10 SP3
  • java-1_4_2-ibm >= 1.4.2_sr13.8-1.7.1
  • java-1_4_2-ibm-devel >= 1.4.2_sr13.8-1.7.1
  • java-1_4_2-ibm-jdbc >= 1.4.2_sr13.8-1.7.1
  • java-1_4_2-ibm-plugin >= 1.4.2_sr13.8-1.7.1
sle10-sp3-sdk.ppc
sle10-sp3-sdk.ia64
sle10-sp3-sdk.x86
sles10-sp3.x86-64
sles10-sp3.s390x
sle10-sp3-sdk.s390x
sles10-sp3.x86
sles10-sp3.ia64
sles10-sp3.ppc
sle10-sp3-sdk.x86-64
ZYPP Patch Nr: 7348
SUSE Linux Enterprise SDK 10 SP3
SUSE Linux Enterprise Server 10 SP3
SUSE Linux Enterprise Server for SAP 10 SP3
  • java-1_4_2-ibm >= 1.4.2_sr13.8-1.7.1
  • java-1_4_2-ibm-devel >= 1.4.2_sr13.8-1.7.1
sle10-sp3-sdk.ppc
sle10-sp3-sdk.ia64
sle10-sp3-sdk.x86
sles10-sp3.x86-64
sles10-sp3.s390x
sle10-sp3-sdk.s390x
sles10-sp3.x86
sles10-sp3.ia64
sles10-sp3.ppc
sle10-sp3-sdk.x86-64
ZYPP Patch Nr: 7348
SUSE Linux Enterprise SDK 10 SP3
SUSE Linux Enterprise Server 10 SP3
  • java-1_4_2-ibm >= 1.4.2_sr13.8-1.7.1
  • java-1_4_2-ibm-devel >= 1.4.2_sr13.8-1.7.1
  • java-1_4_2-ibm-jdbc >= 1.4.2_sr13.8-1.7.1
sle10-sp3-sdk.ppc
sle10-sp3-sdk.ia64
sle10-sp3-sdk.x86
sles10-sp3.x86-64
sles10-sp3.s390x
sle10-sp3-sdk.s390x
sles10-sp3.x86
sles10-sp3.ia64
sles10-sp3.ppc
sle10-sp3-sdk.x86-64
ZYPP Patch Nr: 7348
openSUSE 11.2
  • java-1_6_0-sun >= 1.6.0.u24-0.2.1
  • java-1_6_0-sun-alsa >= 1.6.0.u24-0.2.1
  • java-1_6_0-sun-demo >= 1.6.0.u24-0.2.1
  • java-1_6_0-sun-devel >= 1.6.0.u24-0.2.1
  • java-1_6_0-sun-jdbc >= 1.6.0.u24-0.2.1
  • java-1_6_0-sun-plugin >= 1.6.0.u24-0.2.1
  • java-1_6_0-sun-src >= 1.6.0.u24-0.2.1
openSUSE 11.3
  • java-1_6_0-sun >= 1.6.0.u24-0.2.1
  • java-1_6_0-sun-alsa >= 1.6.0.u24-0.2.1
  • java-1_6_0-sun-devel >= 1.6.0.u24-0.2.1
  • java-1_6_0-sun-jdbc >= 1.6.0.u24-0.2.1
  • java-1_6_0-sun-plugin >= 1.6.0.u24-0.2.1
  • java-1_6_0-sun-src >= 1.6.0.u24-0.2.1
SUSE Linux Enterprise Desktop 11 SP1
  • java-1_6_0-sun >= 1.6.0.u24-0.2.1
  • java-1_6_0-sun-alsa >= 1.6.0.u24-0.2.1
  • java-1_6_0-sun-demo >= 1.6.0.u24-0.2.1
  • java-1_6_0-sun-jdbc >= 1.6.0.u24-0.2.1
  • java-1_6_0-sun-plugin >= 1.6.0.u24-0.2.1
  • java-1_6_0-sun-src >= 1.6.0.u24-0.2.1
sled11-sp1.x86
sled11-sp1.x86-64
SAT Patch Nr: 3976
SUSE Linux Enterprise Software Development Kit 11 SP1
  • java-1_6_0-ibm >= 1.6.0_sr9.1-1.5.1
  • java-1_6_0-ibm-devel >= 1.6.0_sr9.1-1.5.1
  • java-1_6_0-ibm-fonts >= 1.6.0_sr9.1-1.5.1
sle11-sp1-sdk.x86-64
sles11-sp1-vmware.x86-64
sles11-sp1.x86
sles11-sp1.s390x
sle11-sp1-sdk.s390x
sles11-sp1.x86-64
sles11-sp1.ppc
sle11-sp1-sdk.ppc
sles11-sp1-vmware.x86
sle11-sp1-sdk.x86
SAT Patch Nr: 4109
SUSE Linux Enterprise Software Development Kit 11 SP1
  • java-1_6_0-ibm-devel >= 1.6.0_sr9.1-1.5.1
sle11-sp1-sdk.x86-64
sles11-sp1-vmware.x86-64
sles11-sp1.x86
sles11-sp1.s390x
sle11-sp1-sdk.s390x
sles11-sp1.x86-64
sles11-sp1.ppc
sle11-sp1-sdk.ppc
sles11-sp1-vmware.x86
sle11-sp1-sdk.x86
SAT Patch Nr: 4109
SUSE Linux Enterprise Server 11 SP1
SUSE Linux Enterprise Server 11 SP1 for VMware
  • java-1_6_0-ibm >= 1.6.0_sr9.1-1.5.1
  • java-1_6_0-ibm-alsa >= 1.6.0_sr9.1-1.5.1
  • java-1_6_0-ibm-fonts >= 1.6.0_sr9.1-1.5.1
  • java-1_6_0-ibm-jdbc >= 1.6.0_sr9.1-1.5.1
  • java-1_6_0-ibm-plugin >= 1.6.0_sr9.1-1.5.1
sle11-sp1-sdk.x86-64
sles11-sp1-vmware.x86-64
sles11-sp1.x86
sles11-sp1.s390x
sle11-sp1-sdk.s390x
sles11-sp1.x86-64
sles11-sp1.ppc
sle11-sp1-sdk.ppc
sles11-sp1-vmware.x86
sle11-sp1-sdk.x86
SAT Patch Nr: 4109
SUSE Linux Enterprise Server 11 SP1
SUSE Linux Enterprise Server 11 SP1 for VMware
  • java-1_6_0-ibm >= 1.6.0_sr9.1-1.5.1
  • java-1_6_0-ibm-fonts >= 1.6.0_sr9.1-1.5.1
  • java-1_6_0-ibm-jdbc >= 1.6.0_sr9.1-1.5.1
  • java-1_6_0-ibm-plugin >= 1.6.0_sr9.1-1.5.1
sle11-sp1-sdk.x86-64
sles11-sp1-vmware.x86-64
sles11-sp1.x86
sles11-sp1.s390x
sle11-sp1-sdk.s390x
sles11-sp1.x86-64
sles11-sp1.ppc
sle11-sp1-sdk.ppc
sles11-sp1-vmware.x86
sle11-sp1-sdk.x86
SAT Patch Nr: 4109
SUSE Linux Enterprise Server 11 SP1
  • java-1_6_0-ibm >= 1.6.0_sr9.1-1.5.1
  • java-1_6_0-ibm-fonts >= 1.6.0_sr9.1-1.5.1
  • java-1_6_0-ibm-jdbc >= 1.6.0_sr9.1-1.5.1
sle11-sp1-sdk.x86-64
sles11-sp1-vmware.x86-64
sles11-sp1.x86
sles11-sp1.s390x
sle11-sp1-sdk.s390x
sles11-sp1.x86-64
sles11-sp1.ppc
sle11-sp1-sdk.ppc
sles11-sp1-vmware.x86
sle11-sp1-sdk.x86
SAT Patch Nr: 4109
SUSE Linux Enterprise SDK 10 SP3
SUSE Linux Enterprise Server 10 SP3
  • java-1_4_2-ibm >= 1.4.2_sr13.9-0.7.1
  • java-1_4_2-ibm-devel >= 1.4.2_sr13.9-0.7.1
  • java-1_4_2-ibm-jdbc >= 1.4.2_sr13.9-0.7.1
  • java-1_4_2-ibm-plugin >= 1.4.2_sr13.9-0.7.1
sle10-sp3-sdk.x86-64
sles10-sp3.ppc
sles10-sp3.x86
sle10-sp3-sdk.ppc
sle10-sp3-sdk.s390x
sles10-sp3.x86-64
sle10-sp3-sdk.ia64
sles10-sp3.s390x
sle10-sp3-sdk.x86
sles10-sp3.ia64
ZYPP Patch Nr: 7505
SUSE Linux Enterprise SDK 10 SP3
SUSE Linux Enterprise Server 10 SP3
SUSE Linux Enterprise Server for SAP 10 SP3
  • java-1_4_2-ibm >= 1.4.2_sr13.9-0.7.1
  • java-1_4_2-ibm-devel >= 1.4.2_sr13.9-0.7.1
sle10-sp3-sdk.x86-64
sles10-sp3.ppc
sles10-sp3.x86
sle10-sp3-sdk.ppc
sle10-sp3-sdk.s390x
sles10-sp3.x86-64
sle10-sp3-sdk.ia64
sles10-sp3.s390x
sle10-sp3-sdk.x86
sles10-sp3.ia64
ZYPP Patch Nr: 7505
SUSE Linux Enterprise SDK 10 SP3
SUSE Linux Enterprise Server 10 SP3
  • java-1_4_2-ibm >= 1.4.2_sr13.9-0.7.1
  • java-1_4_2-ibm-devel >= 1.4.2_sr13.9-0.7.1
  • java-1_4_2-ibm-jdbc >= 1.4.2_sr13.9-0.7.1
sle10-sp3-sdk.x86-64
sles10-sp3.ppc
sles10-sp3.x86
sle10-sp3-sdk.ppc
sle10-sp3-sdk.s390x
sles10-sp3.x86-64
sle10-sp3-sdk.ia64
sles10-sp3.s390x
sle10-sp3-sdk.x86
sles10-sp3.ia64
ZYPP Patch Nr: 7505
SUSE Linux Enterprise for SAP Applications 11 SP1
  • java-1_4_2-ibm-sap >= 1.4.2_sr13.8-0.3.1
sle11-sap-sp1.x86-64
SAT Patch Nr: 4128
openSUSE 11.4
  • java-1_6_0-sun >= 1.6.0.u24-1.2.1
  • java-1_6_0-sun-alsa >= 1.6.0.u24-1.2.1
  • java-1_6_0-sun-demo >= 1.6.0.u24-1.2.1
  • java-1_6_0-sun-devel >= 1.6.0.u24-1.2.1
  • java-1_6_0-sun-jdbc >= 1.6.0.u24-1.2.1
  • java-1_6_0-sun-plugin >= 1.6.0.u24-1.2.1
  • java-1_6_0-sun-src >= 1.6.0.u24-1.2.1
Patchnames:
java-1_6_0-sun


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 10 SP3 java-1_6_0-sun Released
SUSE Linux Enterprise Desktop 10 SP4 java-1_6_0-sun Released
SUSE Linux Enterprise Desktop 11 SP1 java-1_6_0-sun Released
SUSE Linux Enterprise SDK 11 SP1 java-1_4_2-ibm Released
SUSE Linux Enterprise SDK 11 SP1 java-1_6_0-ibm Released
SUSE Linux Enterprise Server 10 SP3 java-1_4_2-ibm Affected
SUSE Linux Enterprise Server 10 SP3 java-1_6_0-ibm Released
SUSE Linux Enterprise Server 10 SP4 java-1_4_2-ibm Affected
SUSE Linux Enterprise Server 10 SP4 java-1_6_0-ibm Released
SUSE Linux Enterprise Server 10 SP4 LTSS java-1_4_2-ibm Affected
SUSE Linux Enterprise Server 10 SP4 LTSS java-1_6_0-ibm Released
SUSE Linux Enterprise Server 11 SP1 java-1_4_2-ibm Released
SUSE Linux Enterprise Server 11 SP1 java-1_6_0-ibm Released
SUSE Linux Enterprise Server 11 SP1 LTSS java-1_4_2-ibm Released
SUSE Linux Enterprise Server 11 SP1 LTSS java-1_6_0-ibm Released
SUSE Linux Enterprise Server for SAP AIO 11 SP1 java-1_4_2-ibm Released
SUSE Linux Enterprise Server for SAP AIO 11 SP1 java-1_6_0-ibm Released